| Digital Power Starter Kit 3 Firmware dsPIC33C Boost Converter Voltage Mode Control Example |

Data Fields
UART_INSTANCE_STATUS_s Struct Reference

`#include <common/p33c_pral/p33c_uart.h>`

Collaboration diagram for UART_INSTANCE_STATUS_s:

## Data Fields
unsigned | ready: 1
unsigned | busy: 1
unsigned | port_open: 1
unsigned | __pad0__: 1
unsigned | __pad1__: 1
unsigned | __pad2__: 1
unsigned | __pad3__: 1
unsigned | __pad4__: 1
unsigned | __pad5__: 1
unsigned | __pad6__: 1
unsigned | __pad7__: 1
unsigned | __pad8__: 1
unsigned | __pad9__: 1
unsigned | rx_use_dma: 1
unsigned | tx_use_dma: 1
unsigned | __pad10__: 1

## Detailed Description

Definition at line 97 of file p33c_uart.h.

## Field Documentation

## ◆ __pad0__

unsigned __pad0__

Definition at line 101 of file p33c_uart.h.

## ◆ __pad10__

unsigned __pad10__

Definition at line 114 of file p33c_uart.h.

## ◆ __pad1__

unsigned __pad1__

Definition at line 102 of file p33c_uart.h.

## ◆ __pad2__

unsigned __pad2__

Definition at line 103 of file p33c_uart.h.

## ◆ __pad3__

unsigned __pad3__

Definition at line 104 of file p33c_uart.h.

## ◆ __pad4__

unsigned __pad4__

Definition at line 105 of file p33c_uart.h.

## ◆ __pad5__

unsigned __pad5__

Definition at line 107 of file p33c_uart.h.

## ◆ __pad6__

unsigned __pad6__

Definition at line 108 of file p33c_uart.h.

## ◆ __pad7__

unsigned __pad7__

Definition at line 109 of file p33c_uart.h.

## ◆ __pad8__

unsigned __pad8__

Definition at line 110 of file p33c_uart.h.

## ◆ __pad9__

unsigned __pad9__

Definition at line 111 of file p33c_uart.h.

## ◆ busy

unsigned busy

Definition at line 99 of file p33c_uart.h.

## ◆ port_open

unsigned port_open

Definition at line 100 of file p33c_uart.h.

## ◆ ready

unsigned ready

Definition at line 98 of file p33c_uart.h.

## ◆ rx_use_dma

unsigned rx_use_dma

Definition at line 112 of file p33c_uart.h.

## ◆ tx_use_dma

unsigned tx_use_dma

Definition at line 113 of file p33c_uart.h.

The documentation for this struct was generated from the following file:

- dpsk_boost_vmc.X/sources/common/p33c_pral/p33c_uart.h